## Author: M. Turhan ÇOBAN
## Created: 2021-06-19

function retval = int_mutate(id1)
  n=length(id1);
  r=int64(1+n*rand);
  if(r>=n) 
    r=n-1;
  endif
  temp=id1(r);
  id1(r)=id1(r+1);
  id1(r+1)=temp;
retval=id1;
endfunction
